tigase.xmpp

## Interface XMPPProcessorIfc

- All Superinterfaces:
    Comparable<XMPPImplIfc>, XMPPImplIfc
  All Known Implementing Classes:
    BindResource, CAPS, IBB, InvisibleCommand, JabberIqAuth, JabberIqCommand, JabberIqIq, JabberIqOOB, JabberIqPrivacy, JabberIqPrivate, JabberIqRegister, JabberIqRoster, JabberIqSi, JabberIqSocks5Bytestreams, JabberIqStats, JabberIqVersion, Jingle, LastActivity, Message, MessageAll, MessageAmp, MessageCarbons, MessageForwarding, MobileV1, MobileV2, MobileV3, OfflineMessages, PepPlugin, Presence, RemoteRosterManagement, RosterPresence, SaslAuth, ServiceDiscovery, SessionBind, SimpleForwarder, StartTLS, StartZLib, UrnXmppPing, VCardTemp, XMPPProcessorAbstract

      public interface XMPPProcessorIfc
      extends XMPPImplIfc

  Describe interface XMPPProcessorIfc here. Created: Wed Feb 8 13:47:56 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentQueuesNo, concurrentThreadsPerQueue, getComponentInfo, getStatistics, id, init, isSupporting, supDiscoFeatures, supElementNamePaths, supElements, supNamespaces, supStreamFeatures, supTypes`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### process

          void process(Packet packet,
                     XMPPResourceConnection session,
                     NonAuthUserRepository repo,
                     Queue<Packet> results,
                     Map<String,Object> settings)
                       throws XMPPException

      Throws:
        `XMPPException`

Copyright © 2013 Tigase. All rights reserved.